
QGIS Application - Bug report #2759

(linux) clicking "select georaster" icon in the plugin toolbar crashes qgis

2010-05-28 02:44 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12819

Description

with the following message

Warning: QMetaObject::connectSlotsByName: No matching signal for on_btnAdd_clicked()

Error: 

    GDAL Error 4: @' does not exist in the file system,

and is not recognised as a supported dataset name.

Segmentation fault

tested under ubuntu 10.04 and qgis trunk.

Under Windows (osgeo4w) does not occour.

Associated revisions

Revision 62323881 - 2010-05-29 05:21 PM - Jürgen Fischer

fix #2759 and some cleanups

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13593 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1ac041a4 - 2010-05-29 05:21 PM - Jürgen Fischer

fix #2759 and some cleanups

git-svn-id: http://svn.osgeo.org/qgis/trunk@13593 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-29 08:23 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to lutra:
http://svn.osgeo.org/qgis/trunk/qgis@13593
http://svn.osgeo.org/qgis/trunk@13593
/issues/show/2759


Under Windows (osgeo4w) does not occour.

doesn't crash on Debian unstable either, but I don't have a raster enabled oracle database here.  Do you?

In commit:1ac041a4 (SVN r13594) it doesn't try to connect to the database, if no connection is define.  I suppose that is where it crashes for you.

#2 - 2010-05-30 11:57 AM - Giovanni Manghi

doesn't crash on Debian unstable either, but I don't have a raster enabled oracle database here.  Do you?

no I don't, but qgis was crashing on click... now it is fixed.

thanks!

2025-04-27 2/2


